# Uses of Class
org.eclipse.emf.cdo.security.util.SecuritySwitch

Packages that use SecuritySwitch
Package
Description
org.eclipse.emf.cdo.lm.security.provider
The generated EMF edit support of the CDO Lifecycle Management Security model.
org.eclipse.emf.cdo.security.util
The generated EMF utilities of the CDO security model.

## Uses of SecuritySwitch in org.eclipse.emf.cdo.lm.security.provider

Subclasses of SecuritySwitch in org.eclipse.emf.cdo.lm.security.provider
Modifier and Type
Class
Description
`protected static class`
`LMSecurityItemProviderAdapterFactory.SecurityChildCreationExtender.CreationSwitch`
The switch for creating child descriptors specific to each extended class.

## Uses of SecuritySwitch in org.eclipse.emf.cdo.security.util

Fields in org.eclipse.emf.cdo.security.util declared as SecuritySwitch
Modifier and Type
Field
Description
`protected SecuritySwitch<Adapter>`
SecurityAdapterFactory.`modelSwitch`
The switch that delegates to the `createXXX` methods.